Table of Contents

## Name

XAllocIconSize, XSetIconSizes, XGetIconSizes, XIconSize - allocate icon size structure and set or read a window's WM_ICON_SIZES property

## Syntax

XIconSize *XAllocIconSize()

XSetIconSizes(display, w, size_list, count)
Display *display;
Window w;
XIconSize *size_list;
int count;

Status XGetIconSizes(display, w, size_list_return, count_return)
Display *display;
Window w;
XIconSize **size_list_return;
int *count_return;

## Arguments

display
  Specifies the connection to the X server.
count
  Specifies the number of items in the size list.
count_return
  Returns the number of items in the size list.
size_list
  Specifies the size list.
size_list_return
  Returns the size list.
w
  Specifies the window.

## Description

The XAllocIconSize function allocates and returns a pointer to a XIconSize structure. Note that all fields in the XIconSize structure are initially set to zero. If insufficient memory is available, XAllocIconSize returns NULL. To free the memory allocated to this structure, use XFree.

The XSetIconSizes function is used only by window managers to set the supported icon sizes.

XSetIconSizes can generate BadAlloc and BadWindow errors.

The XGetIconSizes function returns zero if a window manager has not set icon sizes; otherwise, it return nonzero. XGetIconSizes should be called by an application that wants to find out what icon sizes would be most appreciated by the window manager under which the application is running. The application should then use XSetWMHints to supply the window manager with an icon pixmap or window in one of the supported sizes. To free the data allocated in size_list_return, use XFree.

XGetIconSizes can generate a BadWindow error.

## Properties

WM_ICON_SIZES
  The window manager may set this property on the root window to specify the icon sizes it supports. The C type of this property is XIconSize.

## Structures

The XIconSize structure contains:

    0
    0>=40 .vs 0u
    0<=39 .vs 0p
    typedef struct {
        int min_width, min_height;
        int max_width, max_height;
        int width_inc, height_inc;
    } XIconSize;

The width_inc and height_inc members define an arithmetic progression of sizes (minimum to maximum) that represent the supported icon sizes.

## Diagnostics

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadWindow
  A value for a Window argument does not name a defined Window.

## See Also

XAllocClassHint(3X11) , XAllocSizeHints(3X11) , XAllocWMHints(3X11) , XFree(3X11) , XSetCommand(3X11) , XSetTransientForHint(3X11) , XSetTextProperty(3X11) , XSetWMClientMachine(3X11) , XSetWMColormapWindows(3X11) , XSetWMIconName(3X11) , XSetWMName(3X11) , XSetWMProperties(3X11) , XSetWMProtocols(3X11) , XStringListToTextProperty(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Properties
- Structures
- Diagnostics
- See Also